Get bank account field formatting

Returns the bank account field formatting required to create bank account instruments or perform payouts for the specified country and currency.

Path Parameters
  • country
    Type: string
    min length:  
    2
    max length:  
    2
    required

    The two-letter ISO country code

  • currency
    Type: string
    min length:  
    3
    max length:  
    3
    required

    The three-letter ISO currency code

Query Parameters
  • account-holder-type
    Type: string enum

    The type of account holder that will be used to filter the fields returned

    values
    • individual
    • corporate
    • government
  • payment-network
    Type: string enum

    The banking network that will be used to filter the fields returned

    values
    • local
    • sepa
    • fps
    • ach
    • fedwire
    • swift
Responses
  • application/json
  • 401

    Unauthorized

  • 404

    Fields not found

  • application/json
Request Example for get/validation/bank-accounts/{country}/{currency}
curl 'https://{prefix}.api.sandbox.checkout.com/validation/bank-accounts/{country}/{currency}' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "sections": [
    {
      "name": "Account Details",
      "fields": [
        {
          "id": "iban",
          "type": "string",
          "display": "IBAN",
          "description": "Number (which can contain letters) that identifies the account",
          "section": "account",
          "required": true,
          "validation_regex": "^[A-Z]{2,2}[0-9]{2,2}[a-zA-Z0-9]{1,18}$",
          "min_length": 22,
          "max_length": 22
        },
        {
          "id": "account_holder.first_name",
          "type": "string",
          "display": "First name",
          "description": "The account holder's first name",
          "section": "account",
          "required": true
        },
        {
          "id": "account_holder.last_name",
          "type": "string",
          "display": "First name",
          "description": "The account holder's last name",
          "section": "account",
          "required": true
        }
      ]
    }
  ]
}